// ======================================================================
// TREE
// ======================================================================
textures/unimpossi/tree01_bark
{
	qer_editorimage textures/unimpossi/tree01_bark.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		clampmap textures/unimpossi/tree01_bark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/unimpossi/tree01_stump
{
	qer_editorimage textures/unimpossi/tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/unimpossi/tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/unimpossi_3/tree01_bark
{
	qer_editorimage textures/unimpossi_3/tree01_bark.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/unimpossi_3/tree01_bark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/unimpossi_3/tree01_stump
{
	qer_editorimage textures/unimpossi_3/tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/unimpossi_3/tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/unimpossi_3/tree01_leaves
{
	qer_editorimage textures/unimpossi_3/tree01_leaves.tga
	q3map_cloneShader textures/unimpossi_3/tree01_leavesback

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/unimpossi_3/tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/unimpossi_3/tree01_leavesback
{
	qer_editorimage textures/unimpossi_3/tree01_leaves.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/unimpossi_3/tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/unimpossi/grass01a
{
	qer_editorimage textures/unimpossi/grass01a.tga
	q3map_cloneShader textures/unimpossi/grass01a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight
	qer_trans 0.99

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/unimpossi/grass01a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/unimpossi/grass01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/unimpossi/grass01a_back
{
	qer_editorimage textures/unimpossi/grass01a.tga

	q3map_invert
	q3map_vertexScale 1.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/unimpossi/grass01a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/unimpossi/grass01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/unimpossi/grass01r
{
	qer_editorimage textures/unimpossi/grass01r.tga
	q3map_cloneShader textures/unimpossi/grass01r_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight
	qer_trans 0.99

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/unimpossi/grass01r.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/unimpossi/grass01r.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
		detail
	}
}
textures/unimpossi/grass01r_back
{
	qer_editorimage textures/unimpossi/grass01r.tga

	q3map_invert
	q3map_vertexScale 1.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/unimpossi/grass01r.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		detail
	}
	{
		map textures/unimpossi/grass01r.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
		detail
	}
}

textures/unimpossi/leaf01r
{
	qer_editorimage textures/unimpossi/leaf01r.tga
	q3map_cloneShader textures/unimpossi/leaf01r_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/unimpossi/leaf01r.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/unimpossi/leaf01r.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
		detail
	}
}
textures/unimpossi/leaf01r_back
{
	qer_editorimage textures/unimpossi/leaf01r.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/unimpossi/leaf01r.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		detail
	}
	{
		map textures/unimpossi/leaf01r.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
		detail
	}
}

textures/unimpossi/leaf01a
{
	qer_editorimage textures/unimpossi/leaf01a.tga
	q3map_cloneShader textures/unimpossi/leaf01a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/unimpossi/leaf01a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/unimpossi/leaf01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
		detail
	}
}
textures/unimpossi/leaf01a_back
{
	qer_editorimage textures/unimpossi/leaf01a.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/unimpossi/leaf01a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		detail
	}
	{
		map textures/unimpossi/leaf01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
		detail
	}
}

textures/unimpossi_3/crystal_flower_red
{
	qer_editorimage textures/unimpossi_3/crystal_flower_red
	q3map_cloneShader textures/unimpossi_3/crystal_flower_red_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

	{
		map textures/unimpossi_3/crystal_flower_red
		alphaFunc GE128
		rgbGen vertex
		blendFunc add
		depthWrite
	}
}
textures/unimpossi_3/crystal_flower_red_back
{
	qer_editorimage textures/unimpossi_3/crystal_flower_red

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/unimpossi_3/crystal_flower_red
		alphaFunc GE128
		rgbGen vertex
		blendFunc add
		depthWrite
		detail
	}
}

textures/quakdead/vine01
{
	qer_editorimage textures/quakdead/vine/vine01
	q3map_cloneShader textures/quakdead/vine01_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/quakdead/vine/vine01
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/quakdead/vine01_back
{
	qer_editorimage textures/quakdead/vine/vine01

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/quakdead/vine/vine01
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}


